/*
**  Bootstrap for KADENCE BLOCKS
**  Version 1.1 vom 6.3.2025
*/

:root {
    --bs-padding: 8px;
    --bs-padding-md: 12px;
    --bs-padding-lg: 16px;
    --container-padding: 8px;
    --container-padding-md: 16px;
    --container-padding-lg: 24px;
    --padding-unit-0: 0;
    --padding-unit-1: 0.25rem;
    --padding-unit-2: 0.5rem;
    --padding-unit-3: 1rem;
    --padding-unit-4: 1.5rem;
    --padding-unit-5: 2rem;
    
}

/*
**      BOOTSTRAP for Kadence
*/

.container { padding-left: var(--container-padding); padding-right: var(--container-padding); max-width: 1320px; width: 100%; margin-left: auto; margin-right: auto; }
.row {display: flex; margin: 0 calc(-1 * var(--bs-padding)); flex-wrap: wrap;}
.row > * {padding: var(--bs-padding); flex-shrink: 0; width: 100%; max-width: 100%; }
.col { flex: 1 0 0%;}
.col-1 {flex: 0 0 auto; width: 8.33333333%; }
.col-2 {flex: 0 0 auto; width: 16.66666667%;}
.col-3 { flex: 0 0 auto; width: 25%; }
.col-4 { flex: 0 0 auto; width: 33.33333333%;}
.col-5 { flex: 0 0 auto; width: 41.66666667%;}
.col-6 { flex: 0 0 auto;width: 50%;}
.col-7 { flex: 0 0 auto; width: 58.33333333%;}
.col-8 { flex: 0 0 auto; width: 66.66666667%;}
.col-9 { flex: 0 0 auto; width: 75%;}
.col-10 { flex: 0 0 auto; width: 83.33333333%;}
.col-11 { flex: 0 0 auto; width: 91.66666667%;}
.col-12 { flex: 0 0 auto; width: 100%;}

.offset-0 {margin-left: 0;}
.offset-1 {margin-left: 8.33333333%;}
.offset-2 {margin-left: 16.66666667%;}
.offset-3 {margin-left: 25%;}
.offset-4 {margin-left: 33.33333333%;}
.offset-5 {margin-left: 41.66666667%;}
.offset-6 {margin-left: 50%;}
.offset-7 {margin-left: 58.33333333%;}
.offset-8 {margin-left: 66.66666667%;}
.offset-9 {margin-left: 75%;}
.offset-10 {margin-left: 83.33333333%;}
.offset-11 {margin-left: 91.66666667%;}

.order-first {order: -1;}
.order-0 {order: 0;}
.order-1 {order: 1;}
.order-2 {order: 2;}
.order-3 {order: 3;}
.order-4 {order: 4;}
.order-5 {order: 5;}
.order-6 {order: 6;}
.order-last {order: 99;}

.justify-content-start {justify-content: flex-start;}
.justify-content-end {justify-content: flex-end;}
.justify-content-center {justify-content: center;}
.justify-content-around {justify-content: space-around;}
.justify-content-between {justify-content: space-between;}
.justify-content-evenly {justify-content: space-evenly;}
    
.align-items-start { align-items: flex-start;}
.align-items-end { align-items: flex-end;}
.align-items-center { align-items: center;}
.align-items-stretch { align-items: stretch;}

.text-center {text-align: center;}
.text-left {text-align: left;}
.text-right {text-align: right;}
.text-justify {text-align: justify;}

.pt-0 {padding-top: var(--padding-unit-0); }


@media (min-width: 768px) {
    .container { padding-left: var(--container-padding-md); padding-right: var(--container-padding-md); }
    .row {margin: 0 calc(-1 * var(--bs-padding-md));}
    .row > * {padding: var(--bs-padding-md); }
    
    .col-md { flex: 1 0 0%; }
    .col-md-1 {flex: 0 0 auto;width: 8.33333333%; }
    .col-md-2 {flex: 0 0 auto;width: 16.66666667%; }
    .col-md-3 {flex: 0 0 auto;width: 25%;}
    .col-md-4 {flex: 0 0 auto;width: 33.33333333%;}
    .col-md-5 {flex: 0 0 auto;width: 41.66666667%;}
    .col-md-6 {flex: 0 0 auto;width: 50%;}
    .col-md-7 {flex: 0 0 auto;width: 58.33333333%;}
    .col-md-8 {flex: 0 0 auto;width: 66.66666667%;}
    .col-md-9 {flex: 0 0 auto;width: 75%;}
    .col-md-10 {flex: 0 0 auto;width: 83.33333333%;}
    .col-md-11 {flex: 0 0 auto;width: 91.66666667%;}
    .col-md-12 {flex: 0 0 auto;width: 100%;}
    .offset-md-0 {margin-left: 0;}
    .offset-md-1 {margin-left: 8.33333333%;}
    .offset-md-2 {margin-left: 16.66666667%;}
    .offset-md-3 {margin-left: 25%;}
    .offset-md-4 {margin-left: 33.33333333%;}
    .offset-md-5 {margin-left: 41.66666667%;}
    .offset-md-6 {margin-left: 50%;}
    .offset-md-7 {margin-left: 58.33333333%;}
    .offset-md-8 {margin-left: 66.66666667%;}
    .offset-md-9 {margin-left: 75%;}
    .offset-md-10 {margin-left: 83.33333333%;}
    .offset-md-11 {margin-left: 91.66666667%;}
    .order-md-first {order: -1;}
    .order-md-0 {order: 0;}
    .order-md-1 {order: 1;}
    .order-md-2 {order: 2;}
    .order-md-3 {order: 3;}
    .order-md-4 {order: 4;}
    .order-md-5 {order: 5;}
    .order-md-6 {order: 6;}
    .order-md-last {order: 99;}
    .justify-content-md-start {justify-content: flex-start;}
    .justify-content-md-end {justify-content: flex-end;}
    .justify-content-md-center {justify-content: center;}
    .justify-content-md-around {justify-content: space-around;}
    .justify-content-md-between {justify-content: space-between;}
    .justify-content-md-evenly {justify-content: space-evenly;}
}




@media (min-width: 1024px) {
    .container { padding-left: var(--container-padding-lg); padding-right: var(--container-padding-lg); }
    .row {margin: 0 calc(-1 * var(--bs-padding-lg));}
    .row > * {padding: var(--bs-padding-lg); }
    .col-lg { flex: 1 0 0%; }
    .col-lg-1 {flex: 0 0 auto;width: 8.33333333%; }
    .col-lg-2 {flex: 0 0 auto;width: 16.66666667%; }
    .col-lg-3 {flex: 0 0 auto;width: 25%;}
    .col-lg-4 {flex: 0 0 auto;width: 33.33333333%;}
    .col-lg-5 {flex: 0 0 auto;width: 41.66666667%;}
    .col-lg-6 {flex: 0 0 auto;width: 50%;}
    .col-lg-7 {flex: 0 0 auto;width: 58.33333333%;}
    .col-lg-8 {flex: 0 0 auto;width: 66.66666667%;}
    .col-lg-9 {flex: 0 0 auto;width: 75%;}
    .col-lg-10 {flex: 0 0 auto;width: 83.33333333%;}
    .col-lg-11 {flex: 0 0 auto;width: 91.66666667%;}
    .col-lg-12 {flex: 0 0 auto;width: 100%;}
    .offset-lg-0 {margin-left: 0;}
    .offset-lg-1 {margin-left: 8.33333333%;}
    .offset-lg-2 {margin-left: 16.66666667%;}
    .offset-lg-3 {margin-left: 25%;}
    .offset-lg-4 {margin-left: 33.33333333%;}
    .offset-lg-5 {margin-left: 41.66666667%;}
    .offset-lg-6 {margin-left: 50%;}
    .offset-lg-7 {margin-left: 58.33333333%;}
    .offset-lg-8 {margin-left: 66.66666667%;}
    .offset-lg-9 {margin-left: 75%;}
    .offset-lg-10 {margin-left: 83.33333333%;}
    .offset-lg-11 {margin-left: 91.66666667%;}
    .order-lg-first {order: -1;}
    .order-lg-0 {order: 0;}
    .order-lg-1 {order: 1;}
    .order-lg-2 {order: 2;}
    .order-lg-3 {order: 3;}
    .order-lg-4 {order: 4;}
    .order-lg-5 {order: 5;}
    .order-lg-6 {order: 6;}
    .order-lg-last {order: 99;}
    .justify-content-lg-start {justify-content: flex-start;}
    .justify-content-lg-end {justify-content: flex-end;}
    .justify-content-lg-center {justify-content: center;}
    .justify-content-lg-around {justify-content: space-around;}
    .justify-content-lg-between {justify-content: space-between;}
    .justify-content-lg-evenly {justify-content: space-evenly;}
}




